[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Problem with Subversion + Neon + GnuTLS 2.5

From: Joe Orton
Subject: Re: Problem with Subversion + Neon + GnuTLS 2.5
Date: Mon, 18 Aug 2008 09:52:20 +0100
User-agent: Mutt/1.5.18 (2008-05-17)

[resent with the correct address for gnutls-devel]

On Sun, Aug 17, 2008 at 10:13:36PM +0200, Arfrever Frehtes Taifersar Arahesis 
> I have Neon configured with the --with-ssl=gnutls option. I use
> Neon trunk r1531 and Subversion trunk r32513. I recently upgraded
> GnuTLS from 2.4.1 to 2.5.3 and now when I try to use Subversion
> (which uses Neon) with https:// protocol I get this error:
> Ohhhh jeeee: operation is not possible without initialized secure memory
> Aborted
> This error doesn't happen when I use ra_serf instead of ra_neon.
> This error also ceases to happen after downgrading GnuTLS to 2.4.1.

Sounds like an issue in GnuTLS 2.5, I can't see any new initialization 
requirements there.  CC'ing gnutls-dev for any further clues?

Regards, Joe

neon mailing list

reply via email to

[Prev in Thread] Current Thread [Next in Thread]